summarylogtreecommitdiffstats
path: root/leafview.sh
diff options
context:
space:
mode:
authorzxp198210052024-02-03 23:20:56 +0800
committerzxp198210052024-02-03 23:20:56 +0800
commit8860da728594a4391a17747ebfbe8f649fa45416 (patch)
treed1e5e413768df0993bdb4cf751f2a1b1b56e5916 /leafview.sh
parent5b0e7eae77e6c0e9753a9d4797d5dbccdd749e6b (diff)
downloadaur-8860da728594a4391a17747ebfbe8f649fa45416.tar.gz
update to 2.8.5
Diffstat (limited to 'leafview.sh')
-rw-r--r--leafview.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/leafview.sh b/leafview.sh
index 0d20cddc70ca..f9ced1432cfc 100644
--- a/leafview.sh
+++ b/leafview.sh
@@ -1,14 +1,14 @@
#!/bin/sh
set -e
_APPDIR="/usr/lib/@appname@"
-_ASAR="${_APPDIR}/@appasar@"
+_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_ASAR}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
else
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file